- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
saveImage
Complete List of ArrayFire Functions ArrayFire Functions by Category » Input and Output functions » | Reading and writing images

Save an array to disk as an image. More...

## Functions
AFAPI void | saveimage (const char *filename, const array &in)
| C++ Interface for saving an image. More...
AFAPI void | saveImage (const char *filename, const array &in)
| C++ Interface for saving an image. More...
AFAPI af_err | af_save_image (const char *filename, const af_array in)
| C Interface for saving an image. More...

## Detailed Description

Save an array to disk as an image.

Supported formats include JPG, PNG, PPM and other formats supported by freeimage

## Function Documentation

AFAPI af_err af_save_image | ( | const char * | filename,
|  | const af_array | in
| ) |  |

C Interface for saving an image.

Parameters

  [in] | filename | is name of file to be loaded
  [in] | in | is the arrayfire array to be saved as an image

Returns
  AF_SUCCESS if the color transformation is successful, otherwise an appropriate error code is returned.

AFAPI void af::saveimage | ( | const char * | filename,
|  | const array & | in
| ) |  |

C++ Interface for saving an image.

Parameters

  [in] | filename | is name of file to be loaded
  [in] | in | is the arrayfire array to be saved as an image

Deprecated:
  Use saveImage instead

AFAPI void af::saveImage | ( | const char * | filename,
|  | const array & | in
| ) |  |

C++ Interface for saving an image.

Parameters

  [in] | filename | is name of file to be loaded
  [in] | in | is the arrayfire array to be saved as an image